package de.ozgcloud.command;

import java.time.ZonedDateTime;
import java.util.Map;

import lombok.Builder;
import lombok.Getter;

@Getter
@Builder
public class TestCommand implements Command {

	private String id;
	private String vorgangId;
	private String relationId;
	private Long relationVersion;

	private String order;

	private ZonedDateTime createdAt;
	private ZonedDateTime finishedAt;
	private String createdBy;
	private String createdByName;

	private CommandStatus status;

	private Map<String, Object> bodyObject;
	private Map<String, String> body;

	private String errorMessage;

	private String createdResource;
}
