package de.ozgcloud.vorgang.vorgang;

import org.springframework.data.annotation.TypeAlias;

import de.ozgcloud.vorgang.servicekonto.ServiceKonto;
import lombok.Builder;
import lombok.Getter;

@Builder(toBuilder = true)
@Getter
@TypeAlias("VorgangHeader")
public class VorgangHead {

	private ServiceKonto serviceKonto;

	private String organisationsEinheitId;
	@Builder.Default
	private int collaborationLevel = 0;
}
