package de.ozgcloud.vorgang.common.userconfig;

import java.util.List;

import org.springframework.stereotype.Service;

import lombok.RequiredArgsConstructor;

@Service
@RequiredArgsConstructor
public class UserConfigService {

	private final UserConfigRemoteService userConfigRemoteService;

	public List<String> getSupportedOrganisationsEinheiten() {
		return userConfigRemoteService.getSupportedOrganisationsEinheiten();
	}
}
